Name: mkfontscale
Version: 1.1.1
Release: %mkrel 2
Summary: Create an index of scalable font files for X
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
# add a few extra encodings
Patch0: mkfontscale-1.0.3-mdv.patch
License: MIT

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
For each directory argument, mkfontscale reads all of the scalable font files
in the directory. For every font file found, an X11 font name (XLFD) is
generated, and is written together with the file name to a file fonts.scale in
the directory.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%{_bindir}/mkfontscale
%{_mandir}/man1/mkfontscale.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.1.1-2.mga4
+ Revision: 530229
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 tv <tv> 1.1.1-1.mga4
+ Revision: 456668
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 360130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 tv <tv> 1.1.0-1.mga2
+ Revision: 209639
- new release
- new release

* Thu Jun 30 2011 tv <tv> 1.0.9-1.mga2
+ Revision: 116950
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.8-1.mga1
+ Revision: 5941
- imported package mkfontscale


* Sat Oct 30 2010 Thierry Vignaud <tv@mandriva.org> 1.0.8-1mdv2011.0
+ Revision: 590414
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.7-1mdv2010.1
+ Revision: 464639
- New version: 1.0.7

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.6-2mdv2010.0
+ Revision: 426150
- rebuild

* Fri Dec 19 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.0.6-1mdv2009.1
+ Revision: 316117
- New version 1.0.6

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 265136
- rebuild early 2009.0 package (before pixel changes)

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 212547
- new release

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2009.0
+ Revision: 193001
- new release

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-4mdv2008.1
+ Revision: 166406
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-3mdv2008.1
+ Revision: 154187
- Update BuildRequires.
  Store mandriva custom patches in mandriva+custom git branch.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2008.1
+ Revision: 130025
- kill re-definition of %%buildroot on Pixel's request
- fix man pages extension


* Wed Nov 22 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.3-2mdv2007.0
+ Revision: 86392
- added a few encodings for locales still using them (until 2006
  or when forcing non-UTF-8 at install)

* Tue Nov 21 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-1mdv2007.1
+ Revision: 85907
- new release
- fix description

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - increment release
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

